#ifndef __Block_Device_Error_h__
#define __Block_Device_Error_h__

/**
 * This class encapsulates blockdevice error messages.
 */
class BlockDeviceError {
private:
    const char* msg;
public:
    BlockDeviceError(const char* m = (const char*)0) : msg (m) {}
    operator bool() { return msg == (const char*)0; }
    operator const char*() { return msg; }
};

#endif /* __Block_Device_Error_h__ */
