#include "FSError.hh"

const char* FSError::message () {
    switch (_code) {
        NoError:            return "no error";
        FsSpecificError:    return "filesystem specific error";
        FileNotFound:       return "file not found";
        PermissionDenied:   return "permission denied";
        DiskFull:           return "disk full";
        AttribBindFailed:   return "attribute bind failed";
        IOError:            return "i/o error";
        NotSupported:       return "function not supported";
        default:            return "unknown error";
    }
}
